<?php

function charDecode($retezec)
{
  return iconv("UTF-8","#{ENCODING}",$retezec);
}

function charEncode($retezec)
{
  return iconv("#{ENCODING}","UTF-8",$retezec);
}

function makeXMLcompatible($retezec)
{
  $retezec=str_replace("&","&amp;",$retezec);
  $retezec=str_replace("<","&lt;",$retezec);
  $retezec=str_replace(">","&gt;",$retezec);
  $retezec=str_replace("\\\"","&quot;",$retezec);
  $retezec=str_replace("\\'","&apos;",$retezec);
  $retezec=str_replace("\"","&quot;",$retezec);
  $retezec=str_replace("'","&apos;",$retezec);
  return $retezec;
}

function FetchIP() 
{
  $client_ip = "";
  $x_forwarded_for = "";
  $remote_addr = "";
  if (isset($_SERVER['HTTP_CLIENT_IP']))
    $client_ip = $_SERVER['HTTP_CLIENT_IP'];
  if (isset($_SERVER['HTTP_X_FORWARDED_FOR']))
    $x_forwarded_for = $_SERVER['HTTP_X_FORWARDED_FOR'];
  if (isset($_SERVER['REMOTE_ADDR']))
    $remote_addr = $_SERVER['REMOTE_ADDR'];
  if ( !empty ($client_ip) ) {
       $ip_expl = explode('.',$client_ip);
       $referer = explode('.',$remote_addr);
       if($referer[0] != $ip_expl[0]) {
            $ip=array_reverse($ip_expl);
            $return=implode('.',$ip);
       } else {
            $return = $client_ip;
       };
  } elseif ( !empty($x_forwarded_for) ) {
       if(strstr($x_forwarded_for,',')) {
            $ip_expl = explode(',',$x_forwarded_for);
            $return = end($ip_expl);
       } else {
            $return = $x_forwarded_for;
       };
  } else {
       $return = $remote_addr;
  };
  unset ($client_ip, $x_forwarded_for, $remote_addr, $ip_expl);
  return $return;
}

function IPisOK($ip) 
{
  if (file_exists("blacklist")) 
  {
    $data = file("blacklist"); 
    $pocet = count($data); 
    for($i=0;$i<$pocet;$i++)
    {
      $pos=strpos($data[$i],$ip);
      if (!($pos===false))
        if ($pos==0)
          return false;
    } 
  }
  return true;
}


?>
